--
--

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Tag:

21
2009

Apache の ssl.conf にあるIE向けの設定は、今も必要?

CATEGORYWeb
SetEnvIf User-Agent ".*MSIE.*" \
nokeepalive ssl-unclean-shutdown \
downgrade-1.0 force-response-1.0
という奴。なんだろうと思ったら、どうもIEのバグ対策でSSL時はkeepaliveを無効にして、その他いろいろやって・・・としているらしい。
今やってる仕事はIE6以上がターゲットで一般向けでも無いので、昔のブラウザ用の対策なら解除してもらおうかな?と思って調べてみた。

スベログ/D - Apache + mod_sslとIEの関係
NEWEST INDUSTRY - Dear Apache Software Foundation: FIX THE MSIE SSL KEEPALIVE SETTINGS!(英語)

うん、IE6以上は緩和できそうだ・・・と思って読んでたら、下の一番最後のコメントのリンク先
qfox.nl - Empty POST with IE 7 and ajax
にIE7でも、POSTだと駄目そうなことが書いてある???
英語なので、読み間違ってるかもしれないけど、これは下手にいじらない方が安全かなぁ?
一歩間違うと、原因不明なバグがたまに発生するとか言われかねないし(--;

まだまだ普及してないけど、IE8ではいい加減に直ってるかな・・・?
スポンサーサイト

Tag: Apache SSL

0 Comments

Leave a comment

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。